/*
Pluck: an open source trivia game for Android

Copyright (C) 2021 Joguitos do luca0N!

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.

This game is a fork of LibreTrivia, and its source code is available at
<https://github.com/tryton-vanmeer/LibreTrivia>.

Contact us at <joguitos+pluck@luca0n.com>.
*/

package com.luca0n.joguitos.pluck.settings;

import android.os.Bundle;
import androidx.preference.PreferenceFragmentCompat;

import androidx.annotation.Nullable;
import androidx.preference.ListPreference;
import androidx.preference.Preference;

import com.luca0n.joguitos.pluck.R;
import com.luca0n.joguitos.pluck.util.UiUtil;

public class SettingsFragment extends PreferenceFragmentCompat {
	@Override
	public void onCreate(@Nullable Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	}

	@Override
	public void onCreatePreferences(Bundle savedInstanceState, String rootKey){
		addPreferencesFromResource(R.xml.preferences);
		// Listen for theme preference changes
		ListPreference preferenceTheme = (ListPreference) findPreference(getString(R.string.pref_ui_theme));
		preferenceTheme.setOnPreferenceChangeListener(new Preference.OnPreferenceChangeListener(){
			@Override
			public boolean onPreferenceChange(Preference preference, Object newValue){
				getActivity().recreate();
				return true;
			}
		});
	}
}
